# The variable of the problem
var x {i in 1..ni}
# The cost function to be minimized
minimize cost : f(x); 						 
# The inequality constraints
subject to inequality_constraints : g(x)<=0; 
 # The equality constraints
subject to equality_constraints: h(x)=0; 	
 # Set IpOpt as solver
option solver ipopt;						 
# Set options for IpOpt, such as the maximal number of iterations
option ipopt_options "max_iter=20000 linear_solver=mumps halt_on_ampl_error yes";
# Solve the problem
solve;
# Display the cost value
printf : "# cost = %24.16e\n", cost;		
printf : "# Data\n";
# Display the optimal values of x
printf {i in 0..n} : "%24.16e\n", x[i];		
# Quit AMPL
end;										

